"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var notification_1 = require("../../notification");
var universal_container_1 = require("./universal.container");
var BaseContainer = /** @class */ (function (_super) {
    __extends(BaseContainer, _super);
    function BaseContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.activateFormDialog = _this.activateFormDialog.bind(_this);
        return _this;
    }
    // Notification service method (DRY)
    BaseContainer.prototype.dispatchNotification = function (info) {
        this.dispatchCustomType(notification_1.NOTIFICATION_INFO_ACTION_TYPE, { info: info });
    };
    /**
     * @deprecated Use $$formChangesConfirmDispatcherProxy
     */
    BaseContainer.prototype.activateFormDialog = function () {
        this.refs.formDialog.activate();
    };
    return BaseContainer;
}(universal_container_1.UniversalContainer));
exports.BaseContainer = BaseContainer;
//# sourceMappingURL=base.container.js.map