import { BaseSelect } from './basic-select.component';
import { ISelectInternalProps, ISelectInternalState } from './select.interface';
import { ISelectOptionEntity } from '../../../definition';
export declare class Select extends BaseSelect<ISelectInternalProps, ISelectInternalState> {
    static defaultProps: ISelectInternalProps;
    /**
     * @stable [20.08.2018]
     * @returns {ISelectOptionEntity[]}
     */
    protected toFilteredOptions(): ISelectOptionEntity[];
    /**
     * @stable [21.09.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
