"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var util_1 = require("../../util");
var base_1 = require("../base");
var Snackbar = /** @class */ (function (_super) {
    __extends(Snackbar, _super);
    function Snackbar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [22.08.2018]
     * @returns {JSX.Element}
     */
    Snackbar.prototype.render = function () {
        return ReactDOM.createPortal(React.createElement("div", { ref: this.selfRef, className: util_1.toClassName(this.uiFactory.snackbar, 'rac-snackbar'), "aria-live": 'assertive' },
            React.createElement("div", { className: util_1.toClassName(this.uiFactory.snackbarText, 'rac-snackbar-text') }),
            React.createElement("div", { className: util_1.toClassName(this.uiFactory.snackbarActionWrapper, 'rac-snackbar-action-wrapper') },
                React.createElement("button", { className: util_1.toClassName('rac-snackbar-button', this.uiFactory.snackbarActionButton) }))), this.domAccessor.getDocumentBodyElement());
    };
    Snackbar.defaultProps = {
        timeout: 3000,
        actionHandler: util_1.noop,
        submitText: 'Close',
    };
    return Snackbar;
}(base_1.BaseComponent));
exports.Snackbar = Snackbar;
//# sourceMappingURL=snackbar.component.js.map