import { IAccessConfigurationWrapper, IActiveWrapper, IChildrenWrapper, IIconWrapper, ILabelWrapper, ILinkWrapper, IParentWrapper, IRelatedLinksWrapper, ITypeWrapper, IValueWrapper } from '../definitions.interface';
/**
 * @stable [11.09.2019]
 */
export declare enum NavigationItemTypesEnum {
    DIVIDER = 0,
    GROUP = 1,
    SUB_HEADER = 2
}
/**
 * @stable [11.09.2019]
 */
export interface INavigationItemEntity<TAccessConfiguration = {}> extends ILinkWrapper, IActiveWrapper, IIconWrapper, IValueWrapper, ILabelWrapper, IParentWrapper<INavigationItemEntity>, IRelatedLinksWrapper<string[]>, ITypeWrapper<NavigationItemTypesEnum>, IAccessConfigurationWrapper<TAccessConfiguration>, IChildrenWrapper<INavigationItemEntity[]> {
}
