import { ILinkedSectionsWrapper, ILockWrapper, IDestroySectionsWrapper, ISectionWrapper, IStackWrapper } from '../definitions.interface';
/**
 * @stable [20.09.2019]
 */
export declare const INITIAL_STACK_ENTITY: Readonly<IStackEntity>;
/**
 * @stable [20.09.2019]
 */
export interface IStackItemEntity extends ISectionWrapper, ILinkedSectionsWrapper {
}
/**
 * @stable [20.09.2019]
 */
export interface IStackEntity extends IStackWrapper<IStackItemEntity[]>, ILockWrapper, IDestroySectionsWrapper {
}
/**
 * @stable [20.09.2019]
 */
export interface IStackWrapperEntity extends IStackWrapper<IStackEntity> {
}
