import * as BPromise from 'bluebird';
/**
 * Wait, even if an exception occurs in a single promise
 * @stable [27.02.2019]
 *
 * @param {Array<Promise<T>>} values
 * @returns {Bluebird<[Bluebird.Inspection<any> , any , any , any , any]>}
 */
export declare const reflectAll: <T>(values: Promise<T>[]) => BPromise<BPromise.Inspection<T>[]>;
