/// <reference types="react" />
import { BaseComponent } from '../base';
import { IChartProps } from './chart.interface';
export declare class Chart extends BaseComponent<IChartProps> {
    private readonly canvasRef;
    private chartJs;
    /**
     * @stable [28.02.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [28.02.2019]
     * @param {Readonly<IChartProps>} prevProps
     * @param {Readonly<{}>} prevState
     */
    componentDidUpdate(prevProps: Readonly<IChartProps>, prevState: Readonly<{}>): void;
    /**
     * @stable [14.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [28.02.2019]
     */
    private refresh;
}
