import { Field } from '../../field';
import { IBaseCheckboxProps, IBaseCheckboxState, IBaseCheckboxInputProps } from './checkbox.interface';
import { IBaseEvent } from '../../../definition';
export declare class BaseCheckbox<TProps extends IBaseCheckboxProps = IBaseCheckboxProps, TState extends IBaseCheckboxState = IBaseCheckboxState> extends Field<TProps, TState> {
    /**
     * @stable [31.08.2018]
     * @returns {IBaseCheckboxInputProps}
     */
    protected getInputElementProps(): IBaseCheckboxInputProps;
    /**
     * @stable [23.10.2019]
     * @param {IBaseEvent} event
     */
    protected onClick(event: IBaseEvent): void;
    /**
     * @stable [24.10.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
