import { IUniversalContainer, IUniversalContainerProps, IUniversalStoreEntity } from '../../../../definition';
import { IPermissionStoreProxy } from './permission-store-proxy.interface';
/**
 * @deprecated
 */
export declare class PermissionStoreProxy<TStore extends IUniversalStoreEntity = IUniversalStoreEntity, TProps extends IUniversalContainerProps = IUniversalContainerProps> implements IPermissionStoreProxy {
    private readonly container;
    private readonly permissionsManager;
    /**
     * @stable [14.10.2019]
     * @param {IUniversalContainer<TProps extends IUniversalContainerProps>} container
     */
    constructor(container: IUniversalContainer<TProps>);
    /**
     * @stable [14.10.2019]
     * @param {TApplicationAccessConfig} checkedObject
     * @returns {boolean}
     */
    isAccessible<TApplicationAccessConfig>(checkedObject: TApplicationAccessConfig): boolean;
}
