import { ITabConfiguration, ITabPanelConfiguration } from '../../configurations-definitions.interface';
import { IActiveValueWrapper } from '../../definitions.interface';
/**
 * @stable [30.08.2018]
 * @param {IActiveValueWrapper} activeValueWrapper
 * @param {ITabConfiguration} tab
 * @returns {boolean}
 */
export declare const isTabActive: (activeValueWrapper: IActiveValueWrapper<number>, tab: ITabConfiguration) => boolean;
/**
 * @stable [30.08.2018]
 * @param {IActiveValueWrapper} props
 * @param {ITabPanelConfiguration} tabPanelConfiguration
 * @returns {number}
 */
export declare const getTabActiveValue: (props: IActiveValueWrapper<number>, tabPanelConfiguration: ITabPanelConfiguration) => number;
