"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _a;
/**
 * @stable [15.11.2019]
 */
var CronPartTypesEnum;
(function (CronPartTypesEnum) {
    CronPartTypesEnum[CronPartTypesEnum["DAY_OF_MONTH"] = 0] = "DAY_OF_MONTH";
    CronPartTypesEnum[CronPartTypesEnum["DAY_OF_WEEK"] = 1] = "DAY_OF_WEEK";
    CronPartTypesEnum[CronPartTypesEnum["HOUR"] = 2] = "HOUR";
    CronPartTypesEnum[CronPartTypesEnum["MINUTE"] = 3] = "MINUTE";
    CronPartTypesEnum[CronPartTypesEnum["MONTH_OF_YEAR"] = 4] = "MONTH_OF_YEAR";
    CronPartTypesEnum[CronPartTypesEnum["YEAR"] = 5] = "YEAR";
})(CronPartTypesEnum = exports.CronPartTypesEnum || (exports.CronPartTypesEnum = {}));
/**
 * @stable [15.11.2019]
 */
exports.CRON_PART_TYPE_RANGES = Object.freeze((_a = {},
    _a[CronPartTypesEnum.MINUTE] = [0, 59],
    _a[CronPartTypesEnum.HOUR] = [0, 23],
    _a[CronPartTypesEnum.DAY_OF_MONTH] = [1, 31],
    _a[CronPartTypesEnum.MONTH_OF_YEAR] = [1, 12],
    _a[CronPartTypesEnum.DAY_OF_WEEK] = [0, 6],
    _a[CronPartTypesEnum.YEAR] = [1900, 2100],
    _a));
//# sourceMappingURL=cron-definition.interface.js.map