"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_interface_1 = require("./di.interface");
var di_support_1 = require("./di.support");
/**
 * @stable [31.10.2018]
 * @returns {INumberConverter}
 */
exports.getNumberConverter = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.NumberConverter); };
/**
 * @stable [16.11.2019]
 * @returns {IPermissionsManager<TAccessConfig>}
 */
exports.getPermissionsManager = function () {
    return di_support_1.staticInjector(di_interface_1.DI_TYPES.PermissionsManager);
};
/**
 * @stable [16.11.2019]
 * @returns {DynamicRoutesMapT}
 */
exports.getDynamicRoutes = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.DynamicRoutes); };
/**
 * @stable [17.11.2019]
 * @returns {DynamicSectionsMapT}
 */
exports.getDynamicSections = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.DynamicSections); };
/**
 * @stable [16.11.2019]
 * @returns {IAuth}
 */
exports.getAuth = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Auth); };
/**
 * @stable [07.10.2019]
 * @returns {IDateConverter}
 */
exports.getDateConverter = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.DateConverter); };
/**
 * @stable [09.11.2018]
 * @returns {IUIFactory}
 */
exports.getUiFactory = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.UIFactory); };
/**
 * @stable [23.10.2019]
 * @returns {Map<IUniversalComponentCtor, UniversalPluginFactoryT>}
 */
exports.getUiPlugins = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.UIPlugins); };
/**
 * @stable [15.11.2018]
 * @returns {TranslatorT}
 */
exports.getTranslator = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Translate); };
/**
 * @stable [29.07.2019]
 * @returns {ISettingsEntity}
 */
exports.getSettings = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Settings); };
/**
 * @stable [29.07.2019]
 * @returns {IStorage}
 */
exports.getDatabaseStorage = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.DatabaseStorage); };
/**
 * @stable [23.02.2019]
 * @returns {TApi}
 */
exports.getApi = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Api); };
/**
 * @stable [11.09.2019]
 * @returns {Store<TState>}
 */
exports.getStore = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Store); };
/**
 * @stable [15.09.2019]
 * @returns {ITransport}
 */
exports.getTransport = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Transport); };
/**
 * @stable [20.09.2019]
 * @returns {IEnvironment}
 */
exports.getEnvironment = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Environment); };
/**
 * @stable [24.09.2019]
 * @returns {IStorage}
 */
exports.getStorage = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Storage); };
/**
 * @stable [24.09.2019]
 * @returns {ILogManager}
 */
exports.getLogManager = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.LogManager); };
/**
 * @stable [24.09.2019]
 * @returns {IEventManager}
 */
exports.getEventManager = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.EventManager); };
/**
 * @stable [24.09.2019]
 * @returns {IEventManager}
 */
exports.getStateSerializer = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.StateSerializer); };
/**
 * @stable [09.10.2019]
 * @returns {IModifyEntityPayloadFactory}
 */
exports.getModifyEntityPayloadFactory = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.ModifyEntityPayloadFactory); };
//# sourceMappingURL=di.services.js.map