import { IEffectsAction } from 'redux-effects-promise';
import { IKeyValue } from '../definitions.interface';
export declare class DictionariesActionBuilder {
    /**
     * @stable [09.10.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildLoadActionType(section: string): string;
    static buildClearActionType(section: string): string;
    static buildLoadDoneActionType(section: string): string;
    static buildLoadErrorActionType(section: string): string;
    static buildDestroyAction(): IEffectsAction;
    /**
     * @stable [09.10.2019]
     * @param {string} section
     * @param {IKeyValue} data
     * @returns {IEffectsAction}
     */
    static buildLoadAction(section: string, data?: IKeyValue): IEffectsAction;
}
