import { IEffectsAction } from 'redux-effects-promise';
import { IEntity } from '../../definitions.interface';
import { ISucceedRelatedFormMiddlewareConfig } from './middleware.interface';
import { IStoreEntity, ISucceedListFormMiddlewareConfigEntity, ISucceedRelatedFormMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [04.10.2019]
 * @param {ISucceedRelatedFormMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
export declare const makeSucceedRelatedFormEntityMiddleware: (config?: ISucceedRelatedFormMiddlewareConfigEntity) => IEffectsAction[];
/**
 * @deprecated Use makeSucceedRelatedFormEntityMiddleware
 */
export declare const makeSucceedRelatedFormMiddleware: <TEntity extends IEntity, TRelatedEntity extends IEntity>(config: ISucceedRelatedFormMiddlewareConfig<TEntity, TRelatedEntity, IStoreEntity<{}, {}>>) => IEffectsAction[];
export declare const makeSucceedListFormMiddleware: (config: ISucceedListFormMiddlewareConfigEntity) => IEffectsAction[];
