"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [19.12.2018]
 * @param {AnyT} o
 * @returns {boolean}
 */
exports.isObjectNotEmpty = function (o) { return !R.isNil(o) && !R.isEmpty(o); };
/**
 * @stable [20.03.2019]
 * @param {AnyT} current
 * @param {AnyT} previous
 * @returns {boolean}
 */
exports.isCurrentValueNotEqualPreviousValue = function (current, previous) {
    return exports.isObjectNotEmpty(current) && !R.equals(current, previous);
};
//# sourceMappingURL=object.js.map