import * as React from 'react';
import { IBaseEvent } from '../definition';
/**
 * @stable [22.10.2019]
 * @param {(e?: IBaseEvent) => void} handler
 * @param {boolean} canAttachHandler
 * @param {boolean} touched
 * @returns {Partial<React.DetailedHTMLProps<React.HTMLAttributes<TElement extends HTMLElement>, TElement extends HTMLElement>>}
 */
export declare const handlerPropsFactory: <TElement extends HTMLElement>(handler: (e?: IBaseEvent) => void, canAttachHandler?: boolean, touched?: boolean) => Partial<React.DetailedHTMLProps<React.HTMLAttributes<TElement>, TElement>>;
