import { AnyT } from '../definitions.interface';
/**
 * @stable [02.10.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isDef: (value: any) => boolean;
/**
 * @stable [02.10.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isUndef: (value: any) => boolean;
export declare function isNull(value: AnyT): boolean;
/**
 * @stable [02.10.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isFn: (value: any) => boolean;
/**
 * @stable [01.08.2018]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isNumber: (value: any) => boolean;
/**
 * @stable [01.08.2018]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isNumberLike: (value: any) => boolean;
export declare function isBoolean(value: AnyT): boolean;
/**
 * @stable [23.09.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const isString: (value: any) => boolean;
/**
 * @stable [03.10.2019]
 * @param {AnyT} v
 * @returns {boolean}
 */
export declare const isPrimitive: (v: any) => boolean;
/**
 * @stable [03.10.2019]
 * @param {AnyT} v
 * @returns {boolean}
 */
export declare const isObject: (v: any) => boolean;
/**
 * @stable [06.12.2018]
 * @param {TResult} result
 * @returns {TResult}
 */
export declare const toType: <TResult>(result: TResult) => TResult;
